Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 6.x, 7.0
    • Component/s: modules/expressions
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      We should update ASM to version 5.1. The change is easy, no real code changes needed.

      1. LUCENE-7334.patch
        3 kB
        Uwe Schindler

        Activity

        Hide
        thetaphi Uwe Schindler added a comment -

        Patch.

        Show
        thetaphi Uwe Schindler added a comment - Patch.
        Hide
        rcmuir Robert Muir added a comment -

        +1

        Show
        rcmuir Robert Muir added a comment - +1
        Hide
        thetaphi Uwe Schindler added a comment - - edited

        Robert Muir: Should I push this also to 6.1 ? I know that ES is now also using ASM 5.1, but you are running plugins in separate classloaders, so it should not be an issue. In addition replacing the JARs works OOB. So any suggestion?

        I will commit this soon.

        Show
        thetaphi Uwe Schindler added a comment - - edited Robert Muir : Should I push this also to 6.1 ? I know that ES is now also using ASM 5.1, but you are running plugins in separate classloaders, so it should not be an issue. In addition replacing the JARs works OOB. So any suggestion? I will commit this soon.
        Hide
        rcmuir Robert Muir added a comment -

        I don't think we need to rush it in to a release, but I think its good to stay reasonably up to date and not have ancient jars as dependencies!

        Show
        rcmuir Robert Muir added a comment - I don't think we need to rush it in to a release, but I think its good to stay reasonably up to date and not have ancient jars as dependencies!
        Hide
        jira-bot ASF subversion and git services added a comment -

        Commit 02c65547e2973dbfdea4b2a2411987d23d66a6b6 in lucene-solr's branch refs/heads/master from Uwe Schindler
        [ https://git-wip-us.apache.org/repos/asf?p=lucene-solr.git;h=02c6554 ]

        LUCENE-7334: Update ASM dependency to 5.1

        Show
        jira-bot ASF subversion and git services added a comment - Commit 02c65547e2973dbfdea4b2a2411987d23d66a6b6 in lucene-solr's branch refs/heads/master from Uwe Schindler [ https://git-wip-us.apache.org/repos/asf?p=lucene-solr.git;h=02c6554 ] LUCENE-7334 : Update ASM dependency to 5.1
        Hide
        jira-bot ASF subversion and git services added a comment -

        Commit 4ead0dbcc65b89e53948a228602bbbc1b8401faa in lucene-solr's branch refs/heads/branch_6x from Uwe Schindler
        [ https://git-wip-us.apache.org/repos/asf?p=lucene-solr.git;h=4ead0db ]

        LUCENE-7334: Update ASM dependency to 5.1

        Show
        jira-bot ASF subversion and git services added a comment - Commit 4ead0dbcc65b89e53948a228602bbbc1b8401faa in lucene-solr's branch refs/heads/branch_6x from Uwe Schindler [ https://git-wip-us.apache.org/repos/asf?p=lucene-solr.git;h=4ead0db ] LUCENE-7334 : Update ASM dependency to 5.1

          People

          • Assignee:
            thetaphi Uwe Schindler
            Reporter:
            thetaphi Uwe Schindler
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development